DROP TABLE IF EXISTS tblAdmin;
DROP TABLE IF EXISTS tblCompany;
DROP TABLE IF EXISTS tblStateNeighbors;
DROP TABLE IF EXISTS zips;


CREATE TABLE tblAdmin (
  ID        INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  Login     VARCHAR(50),
  Password  VARCHAR(50),
  User1Name VARCHAR(50),
  User2Name VARCHAR(50),
  User3Name VARCHAR(50),
  Map       INT,
  Color     VARCHAR(50)
);

CREATE TABLE tblCompany (
  ID              INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  Name            VARCHAR(50),
  Street1         VARCHAR(50),
  Street2         VARCHAR(50),
  City            VARCHAR(50),
  State           VARCHAR(2),
  Zip             VARCHAR(10),
  Country         VARCHAR(50),
  Phone           VARCHAR(25),
  Fax             VARCHAR(25),
  EMail           VARCHAR(50),
  URL             VARCHAR(50),
  ContactName     VARCHAR(50),
  ContactPosition VARCHAR(50),
  User1           VARCHAR(255),
  User2           VARCHAR(255),
  User3           VARCHAR(255),
  DateEntered     DATETIME,
  Approved        INT,
  Login           VARCHAR(50),
  Password        VARCHAR(50),
  INDEX tblCompany_name_idx(Name),
  INDEX tblCompany_state_idx(State),
  INDEX tblCompany_zip_idx(Zip)
);

CREATE TABLE tblStateNeighbors (
  State    VARCHAR(2) NOT NULL,
  Neighbor VARCHAR(2) NOT NULL,
  PRIMARY KEY (State, Neighbor),
  INDEX tblStateNeighbors_state_idx(State),
  INDEX tblStateNeighbors_neighbor_idx(Neighbor)
);

CREATE TABLE zips (
  ZipCode   VARCHAR(10) NOT NULL PRIMARY KEY,
  State     VARCHAR(2),
  City      VARCHAR(50),
  County    VARCHAR(50),  
  Latitude  DOUBLE,
  Longitude DOUBLE,
  index zips_state_idx(State)
);

LOAD DATA INFILE 'C:/bullseye/Database/tblAdmin.txt'
  INTO TABLE tblAdmin
  FIELDS
    TERMINATED BY ','
    OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\n';

LOAD DATA INFILE 'C:/bullseye/Database/tblCompany.txt'
  INTO TABLE tblCompany
  FIELDS
    TERMINATED BY ','
    OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\n';

LOAD DATA INFILE 'C:/bullseye/Database/tblStateNeighbors.txt'
  INTO TABLE tblStateNeighbors
  FIELDS
    TERMINATED BY ','
    OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\n';


LOAD DATA INFILE 'c:/bullseye/database/zips.txt'
  INTO TABLE zips
  FIELDS
    TERMINATED BY ','
    OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\n';

